# useJUnitJupiter

abstract fun useJUnitJupiter()

Use the JUnit Jupiter testing framework.

Gradle will provide the version of JUnit Jupiter to use. Defaults to version `5.8.2`

abstract fun useJUnitJupiter(version: String)

Use the JUnit Jupiter testing framework with a specific version.

#### Parameters

version

version of JUnit Jupiter to use

abstract fun useJUnitJupiter(version: Provider<String>)

Use the JUnit Jupiter testing framework with a specific version.

#### Since

7.6

#### Parameters

version

provider supplying the version of JUnit Jupiter to use